package com.cirs.biz.mapper;

import java.util.List;

import com.cirs.biz.domain.ElectronComponent;
import com.cirs.biz.domain.TElectronComponent;
import org.apache.ibatis.annotations.Param;

/**
 * 元器件Mapper接口
 * 
 * @author allen
 * @date 2023-11-03
 */
public interface TElectronComponentMapper 
{
    /**
     * 查询元器件
     * 
     * @param id 元器件主键
     * @return 元器件
     */
    public TElectronComponent selectTElectronComponentById(Long id);

    /**
     * 查询元器件列表
     * 
     * @param tElectronComponent 元器件
     * @return 元器件集合
     */
    public List<TElectronComponent> selectTElectronComponentList(TElectronComponent tElectronComponent);

    /**
     * 新增元器件
     * 
     * @param tElectronComponent 元器件
     * @return 结果
     */
    public int insertTElectronComponent(TElectronComponent tElectronComponent);

    /**
     * 修改元器件
     * 
     * @param tElectronComponent 元器件
     * @return 结果
     */
    public int updateTElectronComponent(TElectronComponent tElectronComponent);

    /**
     * 删除元器件
     * 
     * @param id 元器件主键
     * @return 结果
     */
    public int deleteTElectronComponentById(Long id);

    /**
     * 批量删除元器件
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTElectronComponentByIds(Long[] ids);

    public List<TElectronComponent> getAll();

    public ElectronComponent getDetailById(@Param("id") Long id);
}
